## ros-kinetic-sound-play 0.3.11

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)

project(sound_play)

find_package(catkin REQUIRED COMPONENTS message_generation roscpp actionlib_msgs)

add_action_files(DIRECTORY action FILES SoundRequest.action)
add_message_files(DIRECTORY msg FILES SoundRequest.msg)

include_directories(include ${catkin_INCLUDE_DIRS})

catkin_python_setup()

generate_messages(DEPENDENCIES actionlib_msgs)

catkin_package(CATKIN_DEPENDS message_runtime actionlib_msgs
               INCLUDE_DIRS include)

catkin_install_python(PROGRAMS
  scripts/playbuiltin.py
  scripts/play.py
  scripts/say.py
  scripts/shutup.py
  scripts/soundplay_node.py
  scripts/test.py
  scripts/test_actionlib_client.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(FILES
  soundplay_node.launch
  test.launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

install(DIRECTORY sounds
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

# if(CATKIN_ENABLE_TESTING)
#   catkin_add_nosetests(scripts/test)
#   add_subdirectory(test)
# endif()

=== debian/changelog ===
ros-kinetic-sound-play (0.3.11-1xenial) xenial; urgency=high

  * Merge pull request #167 <https://github.com/ros-drivers/audio_common/issues/167> from k-okada/fix_155
  * Use rospy.myargv() instead of sys.argv to support remapping
  * Contributors: Kei Okada, Shingo Kitagawa

 -- Austin Hendrix <namniart@gmail.com>  Wed, 07 Apr 2021 15:00:00 -0000

ros-kinetic-sound-play (0.3.10-1xenial) xenial; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Wed, 06 Jan 2021 15:00:00 -0000

ros-kinetic-sound-play (0.3.9-1xenial) xenial; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Wed, 21 Oct 2020 15:00:00 -0000

ros-kinetic-sound-play (0.3.8-1xenial) xenial; urgency=high

  * Merge pull request #155 <https://github.com/ros-drivers/audio_common/issues/155> from garaemon/use-myargv
    Use rospy.myargv() instead of sys.argv to support remapping
  * Use rospy.myargv() instead of sys.argv to support remapping
  * Merge pull request #154 <https://github.com/ros-drivers/audio_common/issues/154> from mikaelarguedas/fix_say_python3
  * update to support no iso-8859-15 language (#1 <https://github.com/ros-drivers/audio_common/issues/1>)
    * support non iso-8859-15 language
    * encode only for python2
  * convert items to an iterator
  * make cleanup compatible with Python 3
  * catch AttributeError to handle python3 strings
  * Contributors: Mikael Arguedas, Ryohei Ueda, Shingo Kitagawa

 -- Austin Hendrix <namniart@gmail.com>  Sat, 12 Sep 2020 15:00:00 -0000

ros-kinetic-sound-play (0.3.7-1xenial) xenial; urgency=high

  * Merge pull request #149 <https://github.com/ros-drivers/audio_common/issues/149> from garaemon/specify-topic-to-play-sound
    Support use different topic and actionlib to play sound
  * Support use different topic and actionlib to play sound
    * Add two keywords to the constructor of SoundClient class in order to
    specify actionlib namespace and topic name to play sound.
    * See #119 <https://github.com/ros-drivers/audio_common/issues/119>.
  * Merge pull request #144 <https://github.com/ros-drivers/audio_common/issues/144> from ros-drivers/knorth55-patch-1
  * add gstreamer1.0-alsa exec_depend in sound_play
  * Contributors: Ryohei Ueda, Shingo Kitagawa

 -- Austin Hendrix <namniart@gmail.com>  Fri, 07 Aug 2020 15:00:00 -0000

ros-kinetic-sound-play (0.3.6-1xenial) xenial; urgency=high

  * Merge pull request #140 <https://github.com/ros-drivers/audio_common/issues/140> from knorth55/support-python3
    fix syntax for python3
  * Merge pull request #141 <https://github.com/ros-drivers/audio_common/issues/141> from knorth55/add-maintainer
    add maintainer
  * add maintainer
  * fix syntax for python3
  * Contributors: Shingo Kitagawa

 -- Austin Hendrix <namniart@gmail.com>  Thu, 28 May 2020 15:00:00 -0000

ros-kinetic-sound-play (0.3.5-1xenial) xenial; urgency=high

  * Merge pull request #133 <https://github.com/ros-drivers/audio_common/issues/133> from knorth55/noetic-build
  * remove unnecessary shebang
  * use setuptools instead of distutils.core
  * use package format=3 for python3
  * refactor CMakeLists.txt
  * use catkin_install_python for python shebang
  * Merge pull request #135 <https://github.com/ros-drivers/audio_common/issues/135> from knorth55/add-travis
  * disable sound_play test
  * Contributors: Shingo Kitagawa

 -- Austin Hendrix <namniart@gmail.com>  Mon, 27 Apr 2020 15:00:00 -0000

ros-kinetic-sound-play (0.3.4-1xenial) xenial; urgency=high

  * Merge pull request #126 <https://github.com/ros-drivers/audio_common/issues/126> from itohdak/fix-Gstreamer-memory-leak
    [sound_play/scripts/soundplay_node.py] fix Gstreamer memory leak
  * Merge pull request #123 <https://github.com/ros-drivers/audio_common/issues/123> from 708yamaguchi/fix-encode
    Do not encode text when using langages which ISO-8859-15 does not support
  * [sound_play/scripts/soundplay_node.py] fix Gstreamer memory leak
  * do not encode text when using langages which ISO-8859-15 does not support
  * Merge pull request #118 <https://github.com/ros-drivers/audio_common/issues/118> from v4hn/patch-1
    use default audio output by default
  * use default audio output by default
    Not specifying a sound device defaults to *the first* sound device starting from Ubuntu 16.04., not to the one configured as default.
    The change is backward compatible and tested on ROS indigo and kinetic on a PR2 robot.
  * Merge pull request #110 <https://github.com/ros-drivers/audio_common/issues/110> from gerardcanal/master
    Encoded text to be said in ISO-8859-15
  * Merge branch 'master' of github.com:ros-drivers/audio_common
  * Sound play: Encoded file to be said in ISO-8859-15 so that accents in languages such as Spanish, Catalan or French are correctly pronounced (based on http://festcat.talp.cat/en/usage.php which says festival expects ISO-8859-15 encoding)
  * Contributors: Austin, Gerard Canal, Michael Görner, Naoya Yamaguchi, Shingo Kitagawa, itohdak

 -- Austin Hendrix <namniart@gmail.com>  Wed, 01 Apr 2020 15:00:00 -0000

ros-kinetic-sound-play (0.3.3-1xenial) xenial; urgency=high

  * Fix gstreamer errors. Fixes #108 <https://github.com/ros-drivers/audio_common/issues/108>
  * Contributors: trainman419

 -- Austin Hendrix <namniart@gmail.com>  Mon, 21 May 2018 15:00:00 -0000

ros-kinetic-sound-play (0.3.2-1xenial) xenial; urgency=high

  * [sound_play] add option to select audio device to play / record (#87 <https://github.com/ros-drivers/audio_common/issues/87>)
    * [sound_play] add option to select audio device to play
    * [sound_play] reformat README to markdown; add usage to set device via rosparam
    * audio_capture: add option for selecting device to use
    * audio_play: add option to select device for playing audio
    * add device argument to launch files
    Conflicts:
    audio_capture/launch/capture.launch
    audio_capture/launch/capture_to_file.launch
    audio_capture/src/audio_capture.cpp
    audio_play/launch/play.launch


=== debian/control ===
Source: ros-kinetic-sound-play
Section: misc
Priority: optional
Maintainer: Austin Hendrix <namniart@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python-setuptools, ros-kinetic-actionlib, ros-kinetic-actionlib-msgs, ros-kinetic-audio-common-msgs, ros-kinetic-catkin, ros-kinetic-diagnostic-msgs, ros-kinetic-message-generation, ros-kinetic-roscpp, ros-kinetic-roslib
Homepage: http://ros.org/wiki/sound_play
Standards-Version: 3.9.2

Package: ros-kinetic-sound-play
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, festival, festvox-kallpc16k, gir1.2-gst-plugins-base-1.0, gir1.2-gstreamer-1.0, gstreamer1.0-alsa, gstreamer1.0-plugins-base, gstreamer1.0-plugins-good, gstreamer1.0-plugins-ugly, gstreamer1.0-tools, libgstreamer-plugins-base1.0-0, libgstreamer-plugins-good1.0-0, libgstreamer1.0-0, python-gi, ros-kinetic-actionlib-msgs, ros-kinetic-audio-common-msgs, ros-kinetic-diagnostic-msgs, ros-kinetic-message-runtime, ros-kinetic-roscpp, ros-kinetic-roslib, ros-kinetic-rospy
Description: sound_play provides a ROS node that translates commands on a ROS topic (robotsound) into sounds.
 The node supports built-in sounds, playing OGG/WAV files, and doing speech synthesis via festival. C++ and Python bindings allow this node to be used without understanding the details of the message format, allowing faster development and resilience to message format changes.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-sound-play//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
